<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="model"
            type="com.ahoy.weatherinfo.view.ForecastItemUiModel" />
    </data>

    <com.google.android.material.card.MaterialCardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/_4sdp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingHorizontal="@dimen/_5sdp"
            android:paddingVertical="@dimen/_10sdp">

            <TextView
                android:id="@+id/textView11"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/pressure"
                app:layout_constraintEnd_toStartOf="@+id/textView8"
                app:layout_constraintHorizontal_bias="0.5"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/textView8"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/humidity"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.5"
                app:layout_constraintStart_toEndOf="@+id/textView11"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/textView12"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="3dp"
                android:text="@{model.pressure}"
                app:layout_constraintEnd_toEndOf="@+id/textView11"
                app:layout_constraintStart_toStartOf="@+id/textView11"
                app:layout_constraintTop_toBottomOf="@+id/textView11"
                tools:text="12f" />

            <TextView
                android:id="@+id/textView13"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="3dp"
                android:text="@{model.humidity}"
                app:layout_constraintEnd_toEndOf="@+id/textView8"
                app:layout_constraintStart_toStartOf="@+id/textView8"
                app:layout_constraintTop_toBottomOf="@+id/textView8"
                tools:text="12f" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.material.card.MaterialCardView>
</layout>